Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class FuncCompCreationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.apps.cz.cio.FuncCompCreationException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. this class is no longer necessary Signalled if a functional companion cannot be created.

public class FuncCompCreationException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Method Summary
`java.lang.String` | `getDescrption()` Deprecated. Returns the description of the failed companion.
`int` | `getID()` Deprecated. Returns the database ID of the failed companion.
`java.lang.String` | `getName()` Deprecated. Returns the name of the failed companion.
`java.lang.String` | `getProgString()` Deprecated. Returns the program string used when trying to create the companion.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of the failed companion.

### getDescrption

    public java.lang.String getDescrption()

  Deprecated.
  Returns the description of the failed companion.

### getProgString

    public java.lang.String getProgString()

  Deprecated.
  Returns the program string used when trying to create the companion.

### getID

    public int getID()

  Deprecated.
  Returns the database ID of the failed companion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.